(function (factory) {
    if (typeof define === 'function' && define.amd) {
        // AMD. Register as anonymous module.
        define('ChineseDistricts', [], factory);
    } else {
        // Browser globals.
        factory();
    }
})(function () {

    var ChineseDistricts = {
            86: {
                 'T-Z': [
                    {code: '120000', address: '天津'}]
            },
120000:{
120100:"天津市"

},
120100:{
120102:"河东区",
120113:"北辰区",
120103:"河西区",
120114:"武清区",
120125:"蓟县",
120104:"南开区",
120115:"宝坻区",
120105:"河北区",
120110:"东丽区",
120121:"宁河县",
120111:"西青区",
120101:"和平区",
120112:"津南区",
120123:"静海县",
120106:"红桥区",
120107:"塘沽区",
120108:"汉沽区",
120109:"大港区"

},
120101:{
2984:"全境"

},
120102:{
3000:"全境"

},
120103:{
2985:"全境"

},
120104:{
2907:"全境"

},
120105:{
2987:"全境"

},
120106:{
2986:"全境"

},
120107:{
25708:"全境"

},
120108:{
23672:"汉沽区街里、汉沽开发区",
23673:"其它地区"

},
120109:{
8545:"大港油田",
8546:"主城区内",
8547:"主城区外"

},
120110:{
39620:"全境"

},
120111:{
25712:"杨柳青,中北,精武,大寺镇,环外海泰及外环内",
25711:"其它地区"

},
120112:{
25704:"咸水沽镇、海河教育园，海河科技园",
36172:"其他地区",
36171:"双港，辛庄"

},
120113:{
36168:"外环外其它地区",
36167:"外环外双街镇，河北工大新校，屈店工业园",
6646:"外环内"

},
120114:{
22846:"杨村镇、下朱庄内",
22847:"其它地区"

},
120115:{
22848:"城关镇、马家店开发区、天宝工业园",
22849:"其它地区"

},
120121:{
23674:"芦台镇、经济开发区、贸易开发区",
23675:"其它地区"

},
120123:{
36157:"全境"

},
120125:{
98:"全境"

}       
 };

    if (typeof window !== 'undefined') {
        window.ChineseDistricts = ChineseDistricts;
    }

    return ChineseDistricts;

});