		var Logtype = {"30001":"借书","30002":"还书"};
		var mainApp = angular.module('mainApp', []);
		mainApp.controller('mainCtrl', ['$scope', '$http', function($scope, $http) {
			$scope.Logtype = Logtype;
			$scope.getData = function() {
				$("#load_none_1").hide();
				var url = opacUrl+"webservice/loanWebservice/getHistoryLoanList";
				var reader =$(String2XML(store.get("user")));
				var rdid = reader.find("rdid").text().trim();
				var password = md5(reader.find("rdPasswd").text().trim());
				var data1 = "<soapenv:Envelope xmlns:soapenv='http://schemas.xmlsoap.org/soap/envelope/' xmlns:web='http://webservice.opac.interlib.com/'><soapenv:Header/><soapenv:Body><web:getHistoryLoanList><rdid>"+rdid+"</rdid><password>"+password+"</password><doPage>false</doPage><toPage>1</toPage><pageSize>100</pageSize></web:getHistoryLoanList></soapenv:Body></soapenv:Envelope>";
				var req1 = {
					method: 'POST',
					url: url,
					data:data1,
					timeout:5000
				};
				$http(req1).then(function(resp) {
					$(".mui-loading").hide();
					var data = xmlToJson(String2XML(resp.data))["soap:Envelope"]["soap:Body"]["ns2:getHistoryLoanListResponse"]["return"];
					if(!data){
						mui.toast("您当前没有借阅书籍");
						mui('#refreshContainer').pullRefresh().endPulldownToRefresh();
						mui('#refreshContainer').pullRefresh().refresh(true);
						return;
					}
					if(!data.length){
						data = [data];
					}
					$scope.items = data;
					setTimeout(function(){
						getCovers($("#mainCtrl"));
					},1000);
					mui('#refreshContainer').pullRefresh().endPulldownToRefresh();
					mui('#refreshContainer').pullRefresh().refresh(true);
				}, function(resp) {
					mui.toast('请求出错');
					$(".mui-loading").hide();
					mui('#refreshContainer').pullRefresh().endPulldownToRefresh();
					mui('#refreshContainer').pullRefresh().endPullupToRefresh();
				});
			}
		}]);
		function getData(to_page) {
			if(to_page){
				page = to_page;
			}else{
				page = 1;
			}
			angular.element(document.getElementById("mainCtrl")).scope().getData();
		}
		ready(function() {
			getData();
		});
		mui.init({
			pullRefresh: {
				container: "#refreshContainer",
				down: {
					contentdown: "下拉可以刷新", //可选，在下拉可刷新状态时，下拉刷新控件上显示的标题内容
					contentover: "释放立即刷新", //可选，在释放可刷新状态时，下拉刷新控件上显示的标题内容
					contentrefresh: "正在刷新...", //可选，正在刷新状态时，下拉刷新控件上显示的标题内容
					callback: pullfresh_down //必选，刷新函数，根据具体业务来编写，比如通过ajax从服务器获取新数据；
				},
			}
		});
//		mui("body").on('tap','.my-loan-list-renew button',function(){
//			var url = opacUrl+"webservice/loanWebservice";
//			var reader =$(String2XML(store.get("user")));
//			var rdid = reader.find("rdid").text().trim();
//			var password = md5(reader.find("rdPasswd").text().trim());
//			var barcode = $(this).attr("barcode");;
//			var returl = opacUrl+"loan/doRenew?barcodeList="+barcode+"&return_fmt=json&furl=";
//			returl = encodeURIComponent(returl);
//			var reborUrl = opacUrl+"reader/doLogin?rdid="+rdid+"&rdPasswd="+password+"&CookieLocaleResolver=zh&returnUrl="+returl;
//			mui.ajax(reborUrl,{
//				type:'post',
//				timeout:10000,
//				success:function(data){
//					data = data.messages;
//					if(data||data!=''){
//						mui.toast(data);
//						return;
//					}
//					mui.toast("续借成功");
//				},
//				error:function(xhr,type,errorThrown){
//					console.log("fail");
//					mui.toast("续借失败");
//				}
//			});
//		});
		function pullfresh_down() {
			getData()
		}