var state = false; //是否处于显示侧拉菜单的状态
		
		function closeAllWebview() {
			setTimeout(function() {
				var all = plus.webview.all();
				var current = plus.webview.currentWebview().id;
				for(var i = 0, len = all.length; i < len; i++) {
					if(all[i].id !== current) {
						all[i].close();
					}
				}
			}, 100);
		}

		mui.init();
		//侧滑容器父节点
		var offCanvasWrapper = mui('#offCanvasWrapper');
		//主界面容器
		var offCanvasInner = offCanvasWrapper[0].querySelector('.mui-inner-wrap');
		//菜单容器
		var offCanvasSide = document.getElementById("offCanvasSide");
//		if(!mui.os.android) {
//			document.getElementById("move-togger").classList.remove('mui-hidden');
//			var spans = document.querySelectorAll('.android-only');
//			for(var i = 0, len = spans.length; i < len; i++) {
//				spans[i].style.display = "none";
//			}
//		}

		//整体滑动时，侧滑菜单在inner-wrap内
		offCanvasInner.insertBefore(offCanvasSide, offCanvasInner.firstElementChild);
		offCanvasWrapper.offCanvas().refresh();

		//主界面和侧滑菜单界面均支持区域滚动；
		mui('#offCanvasSideScroll').scroll();
		mui('#offCanvasContentScroll').scroll();
		//实现ios平台原生侧滑关闭页面；
		if(mui.os.plus && mui.os.ios) {
			mui.plusReady(function() { //5+ iOS暂时无法屏蔽popGesture时传递touch事件，故该demo直接屏蔽popGesture功能
				plus.webview.currentWebview().setStyle({
					'popGesture': 'none'
				});
			});
		}
		var nwaiting;
		mui.plusReady(function(){
			getconfigInfo();
		});
		function getconfigInfo() {
			nwaiting = plus.nativeUI.showWaiting("正在拼命的加载数据...", {
				padlock: true
			}); //显示原生等待框
			$.ajax({
				type: "post",
				url: configInfoAddr,
				success: function(data) {
					nwaiting.close();
					data = JSON.parse(data);
					data = JSON.parse(data);
					if(data.msg == "操作成功") {
						store.set("ushuAddr", data.tableData.ushuaddr);
						store.set("imgurl", data.tableData.imgurl);
						store.set("indexTopImgUrl", configAddr + data.tableData.picture);
						setTimeout(function(){
							ushuAddr = store.get("ushuAddr");  //u书地址,这两个就通过configInfoAddr获取
							imgurl = store.get("imgurl"); //京东图片地址
							indexTopImgUrl = store.get("indexTopImgUrl"); //index顶部图片
							setTopImg();
// 								setShopCarNumb(); //设置底部购物车图标的字数
							getHomeProduct();
							getCatalog();
							getEncryptData();
						},500)
					} else {
						nwaiting.close();
						mui.toast("当前系统服务正处于修复状态，请稍后再访问");
					}
				},
				error: function(textStatus, errorThrown) {
					nwaiting.close();
					mui.toast("请您检查网络状态，确保网络处于可用状态再进行访问");
				}
			});
		}

		function setTopImg() {
			$("#topimg").attr("src", configAddr+"upload/files/20170626094548TCcuhPAQ.png");
		}

		mui("#neirongquyu").on("tap", "#neirongmokuai ul li", function() {

			var li = $(this);
			var bookIdKey = li.attr("key");
			if(bookIdKey != null) {
				var bookId = store.get(bookIdKey); //加载数据的时候，通过li标签的key和书籍的id作为全局数据保存到了store，这里通过当前li标签的id作为key值获取书籍的id.
				if(bookId != null && bookId.length > 3) {
					store.set(bookDetailedString, bookId);
					openXiangqing();
				} else {
					mui.toast("当前书籍无法获取到Id，请尝试从新加载数据")
				}
			}
		});

		mui("#neirongquyu").on("tap", "#neirongmokuai .more-btn", function() {
			var li = $(this);
			console.log(li.attr("queryType"));
			console.log(li.attr("title"));
			openGengduo(li.attr("queryType"), li.attr("title"));
		});

		mui(".subscription").on("tap", "#fenleiul li", function() {
			var li = $(this);
			var id = li.attr("key");
			if(id == 0) {
				mui('.mui-off-canvas-wrap').offCanvas('show');
			} else {
				var code = li.attr("code");
				var name = li.find("span").text();
				store.set(secondCode, code);
				store.set(secondId, id);
				store.set(secondName, name);

				openSecond();
			}
		});

		mui("#offCanvasSide").on("tap", "#menuul li", function() {

			var li = $(this);
			var id = li.attr("key");
			var code = li.attr("code");
			var name = li.find("a").text();
			store.set(secondCode, code);
			store.set(secondId, id);
			store.set(secondName, name);
			mui('.mui-off-canvas-wrap').offCanvas().close();
			openSecond();
		});

		mui('.footer').on('tap', '#goShopCar', function() {
			openShopcar();

		})

		mui('.footer').on('tap', '#goMe', function() {
			openMe();
		})

		mui('.footer').on('tap', '#goMyorder', function() {
			//openShopcar();
			openOpacSearch();
		})
		mui('.header').on('tap', '#goSearchBook', function() {
			openSearch();
		})

		document.querySelector('.mui-off-canvas-wrap').addEventListener('shown', function(event) {
			state = true;
		})

		document.querySelector('.mui-off-canvas-wrap').addEventListener('hidden', function(event) {
			state = false;
		})

		function reload() {
			location.reload();
		}
		mui("body").on("tap",".ret",function(){
			mui.back();
		});