	mui.ready(function(){
		loadUserInfos();
	});
	function loadUserInfos(){
     	var user = $(String2XML(store.get("user")));
		$("body").find("[key]").each(function(){
			var key = $(this).attr("key");
			var value = user.find(key)[0];
			if(value){
				value = XML2String(value).replace("<"+key+">","").replace("</"+key+">","");
				var filter = $(this).attr("filter");
				if(filter==="sub10"){
					value = value.substring(0,10)
				}
				$(this).html(value);
			}
		});
	};
	mui("body").on("tap","#logout",function(){
		ubindCID();
		store.remove("user");
		store.remove("recordsss");
		exitLogin();
		try{
			plus.webview.getWebviewById('login.html').evalJS('clearContent()');
		}catch(e){
			//TODO handle the exception
		}
		try{
			plus.webview.getWebviewById('message.html').close("none");
		}catch(e){
			//TODO handle the exception
		}
		setTimeout(function(){
			to("index");
		},200)
	});
	
	function modifyPsd(){
		var newPsd = $("input[name='newPsd']").val();
		if(newPsd.trim()==""){
			mui.toast("新密码不能为空");
			return true;
		}
		if($("input[name='rePsd']").val()!=newPsd){
			mui.toast("新密码和确认密码不一致");
			return true;
		}
		var oldPsd = $("input[name='oldPsd']").val();
		var reader =$(String2XML(store.get("user")));
		var rdid = reader.find("rdid").text().trim();
		var url = opacUrl+"webservice/readerWebservice/updateReaderPasswd";
		var data = "rdid="+rdid+"&oldPasswd="+oldPsd+"&newPasswd="+newPsd;
		var isPrevent = false;
		$.ajax({url:url,async:false,data:data,success:function(result){
			var returnStr = $(result).find("return").text();
			if(returnStr=="Incorrect username or password"){
				mui.toast("旧密码不正确");
				isPrevent = true;
			}else if(returnStr==""){
				store.remove("user");
				mui.toast("修改成功，请重新登陆");
				to("login");
			}else{
				mui.toast(returnStr);
			}
		}});
		return isPrevent;
	}
	
	function reportRdidLoss(){
		var reader =$(String2XML(store.get("user")));
		var rdid = reader.find("rdid").text().trim();
		var password =  $("#rdidReportLossPage [name='password']").val();
		if(password.trim() == ""){
			toast("请输入密码");
			return true;
		}
		password = $.md5(password);
		var data = "rdid="+rdid+"&password="+password;
		var url = opacUrl+"webservice/readerWebservice/reportLossByRdid";
		var success = function(result){
			toast($(result).find("return").text());
		}
		$.ajaxNew(true,"GET",true,null,null,url,data,success,false);
		return true;
	}
	function reportLoss(){
		mui.confirm("您确定要挂失读者证吗",function(e){
    		if (e.index == 1) {
				reportRdidLoss();
			} 
    	});
	}
	function ubindCID(){
		try{
			var token = plus.push.getClientInfo().clientid;
			var reader =$(String2XML(store.get("user")));
			var rdid = reader.find("rdid").text().trim();
			var url = pushUrl+"/test/unbind.action?alics="+rdid+"&CID="+token;
			mui.ajax(url,{
				type:'post',
				success:function(data){
				},
				error:function(xhr,type,errorThrown){
				}
			});
		}catch(e){
			//TODO handle the exception
		}
	}
	function exitLogin() {
		store.remove("cityConfig"); //限制派送范围，市区代码
		store.set("provinceConfig"); //限制派送范围，省代码
		store.set("islogin",false); //是否已经登录
		store.remove("user"); //用户账号
		store.remove("password"); //用户密码，md5形式
		store.remove("glc"); //全局馆代码
		store.remove("libname"); //全局馆名称
		store.remove("rangeConfig"); //当前图书馆配送范围限制
		store.remove("md5_rdid");
		store.remove("md5_ticket");
		store.remove("md5_libcode");
	}