 (function (factory) {
    if (typeof define === 'function' && define.amd) {
        // AMD. Register as anonymous module.
        define('ChineseDistricts', [], factory);
    } else {
        // Browser globals.
        factory();
    }
})(function () {

    var ChineseDistricts = {
            86: {
                'T-Z': [
                    {code: '330000', address: '浙江省'}]
            },
330000:{
/*331000:"台州市",
330800:"衢州市",
330900:"舟山市",
330400:"嘉兴市",
330500:"湖州市",
330600:"绍兴市",
330700:"金华市",
331100:"丽水市",
330100:"杭州市",
330200:"宁波市",
330300:"温州市"*/

}
            ,
            331000:{
            331021:"玉环县",
            331022:"三门县",
            331081:"温岭市",
            331082:"临海市",
            331023:"天台县",
            331002:"椒江区",
            331024:"仙居县",
            331003:"黄岩区",
            331004:"路桥区"

            },
            330800:{
            330822:"常山县",
            330802:"柯城区",
            330824:"开化县",
            330803:"衢江区",
            330825:"龙游县",
            330881:"江山市"

            },
            330900:{
            330903:"普陀区",
            330921:"岱山县",
            330922:"嵊泗县",
            330902:"定海区"

            },
            330400:{
            330481:"海宁市",
            330482:"平湖市",
            330483:"桐乡市",
            330411:"秀洲区",
            330402:"南湖区",
            330424:"海盐县",
            330421:"嘉善县"

            },
            330500:{
            330503:"南浔区",
            330521:"德清县",
            330522:"长兴县",
            330523:"安吉县",
            330502:"吴兴区"

            },
            330600:{
            330681:"诸暨市",
            330602:"越城区",
            330624:"新昌县",
            3306083:"嵊州市",
            330621:"柯桥区",
            330682:"上虞区"

            },
            330700:{
            330727:"磐安县",
            330723:"武义县",
            330702:"婺城区",
            330703:"金东区",
            330726:"浦江县",
            330781:"兰溪市",
            330782:"义乌市",
            330783:"东阳市",
            330784:"永康市"

            },
            331100:{
            331121:"青田县",
            331181:"龙泉市",
            331126:"庆元县",
            331127:"景宁县",
            331122:"缙云县",
            331123:"遂昌县",
            331102:"莲都区",
            331124:"松阳县",
            331125:"云和县"

            },
            330100:{
            330108:"滨江区",
            330109:"萧山区",
            330103:"下城区",
            330104:"江干区",
            330105:"拱墅区",
            330127:"淳安县",
            330106:"西湖区",
            330110:"余杭区",
            330122:"桐庐县",
            330102:"上城区",
            330183:"富阳区",
            330185:"临安市",
            330182:"建德市"

            },
            330200:{
            330282:"慈溪市",
            330283:"奉化市",
            330206:"北仑区",
            330281:"余姚市",
            330203:"海曙区",
            330225:"象山县",
            330204:"江东区",
            330226:"宁海县",
            330205:"江北区",
            330211:"镇海区",
            330212:"鄞州区"

            },
            330300:{
            330381:"瑞安市",
            330382:"乐清市",
            330327:"苍南县",
            330328:"文成县",
            330329:"泰顺县",
            330302:"鹿城区",
            330324:"永嘉县",
            330303:"龙湾区",
            330304:"瓯海区",
            330326:"平阳县",
            330322:"洞头区"

            },
            330104:{
            	49965:"彭埠镇",
            	51594:"城区",
            	49963:"九堡镇",
            	49962:"笕桥镇",
            	49961:"丁桥镇"

            	},
            	330106:{
            	52667:"城区",
            	50028:"双浦镇",
            	50027:"三墩镇"

            	},
            	330109:{
            	50095:"戴村镇",
            	50097:"党湾镇",
            	50096:"党山镇",
            	50099:"河上镇",
            	50120:"衙前镇",
            	50098:"瓜沥镇",
            	50123:"益农镇",
            	50101:"进化镇",
            	50112:"所前镇",
            	50122:"义桥镇",
            	50114:"闻堰镇",
            	50103:"坎山镇",
            	50113:"围垦区",
            	52668:"城区",
            	50105:"临浦镇",
            	50116:"湘湖旅游度假区",
            	50115:"经济开发区",
            	50117:"新街镇",
            	50106:"楼塔镇",
            	52669:"前进镇",
            	50109:"浦阳镇",
            	50108:"宁围镇"

            	},
            	330110:{
            	52670:"仓前镇",
            	52671:"崇贤镇",
            	50130:"径山镇",
            	52674:"五常镇",
            	50142:"余杭镇",
            	52675:"闲林镇",
            	52672:"良渚镇",
            	50133:"鸬鸟镇",
            	52673:"仁和镇",
            	52678:"城区",
            	50124:"百丈镇",
            	50135:"瓶窑镇",
            	50138:"塘栖镇",
            	52676:"运河镇",
            	50126:"长乐镇",
            	52677:"中泰镇",
            	50129:"黄湖镇"

            	},
            	330122:{
            	51592:"城区",
            	50211:"瑶琳镇",
            	50210:"新合乡",
            	50199:"百江镇",
            	50202:"分水镇",
            	50201:"莪山畲族乡",
            	50212:"钟山乡",
            	50204:"富春江镇",
            	50206:"横村镇",
            	50205:"合村乡",
            	50207:"江南镇"

            	},
            	330127:{
            	50181:"文昌镇",
            	50170:"金峰乡",
            	50180:"威坪镇",
            	50183:"中洲镇",
            	50172:"浪川乡",
            	50182:"瑶山乡",
            	50171:"鸠坑乡",
            	50185:"左口乡",
            	50163:"安阳乡",
            	50174:"临岐镇",
            	50184:"梓桐镇",
            	50162:"城区",
            	50173:"里商乡",
            	50176:"千岛湖镇",
            	50165:"汾口镇",
            	50175:"屏门乡",
            	50164:"大墅镇",
            	50167:"富文乡",
            	50178:"宋村乡",
            	50166:"枫树岭镇",
            	50177:"石林镇",
            	50169:"界首乡",
            	50179:"王阜乡",
            	50168:"姜家镇"

            	},
            	330182:{
            	49947:"航头镇",
            	49957:"杨村桥镇",
            	49945:"大洋镇",
            	49944:"大同镇",
            	49955:"下涯镇",
            	49943:"大慈岩镇",
            	49954:"寿昌镇",
            	49953:"三都镇",
            	49952:"钦堂乡",
            	49951:"乾潭镇",
            	49949:"莲花镇",
            	49948:"李家镇",
            	51593:"城区",
            	49950:"梅城镇"

            	},
            	330183:{
            	49914:"胥口镇",
            	49903:"环山乡",
            	49913:"新桐乡",
            	49902:"湖源乡",
            	49912:"新登镇",
            	49901:"高桥镇",
            	49911:"万市镇",
            	49910:"受降镇",
            	49899:"洞桥镇",
            	49897:"大源镇",
            	49909:"上官乡",
            	49907:"渌渚镇",
            	49906:"龙门镇",
            	49916:"渔山乡",
            	49905:"灵桥镇",
            	49904:"里山镇",
            	49915:"永昌镇",
            	51591:"城区",
            	49895:"春建乡",
            	49894:"场口镇",
            	49893:"常绿镇",
            	49892:"常安镇"

            	},
            	330185:{
            	49979:"板桥镇",
            	49989:"潜川镇",
            	49988:"龙岗镇",
            	49996:"於潜镇",
            	49995:"湍口镇",
            	51595:"城区",
            	49994:"天目山镇",
            	49983:"河桥镇",
            	49993:"太阳镇",
            	49982:"高虹镇",
            	49992:"太湖源镇",
            	49981:"岛石镇",
            	49991:"清凉峰镇",
            	49980:"昌化镇"

            	},
            	330205:{
            	46503:"宁波大学",
            	52174:"城区",
            	46502:"慈城镇"

            	},
            	330206:{
            	51590:"城区",
            	46356:"保税区",
            	46357:"大榭开发区",
            	46354:"郭巨乡",
            	46355:"梅山乡",
            	46352:"白峰镇",
            	46353:"春晓镇"

            	},
            	330211:{
            	52177:"城区",
            	46387:"九龙湖镇",
            	46388:"澥浦镇",
            	49313:"宁波大学"

            	},
            	330212:{
            	46369:"洞桥镇",
            	46378:"云龙镇",
            	46367:"五乡镇",
            	46379:"瞻岐镇",
            	46368:"东吴镇",
            	46376:"咸祥镇",
            	46365:"东钱湖镇",
            	46377:"鄞江镇",
            	46366:"集仕港镇",
            	52175:"城区",
            	46374:"姜山镇",
            	46375:"塘溪镇",
            	46372:"横街镇",
            	46373:"横溪镇",
            	46370:"高桥镇",
            	46381:"邱隘镇",
            	46371:"古林镇",
            	46382:"龙观乡",
            	46380:"章水镇"

            	},
            	330225:{
            	46459:"涂茨镇",
            	46449:"城区",
            	46457:"墙头镇",
            	46458:"石浦镇",
            	46466:"茅洋乡",
            	46455:"定塘镇",
            	46467:"晓塘乡",
            	46456:"鹤浦镇",
            	46453:"泗洲头镇",
            	46464:"黄避岙乡",
            	46454:"大徐镇",
            	46465:"东陈乡",
            	46462:"新桥镇",
            	46463:"高塘岛乡",
            	46460:"西周镇",
            	46461:"贤庠镇"

            	},
            	330226:{
            	46448:"越溪乡",
            	46437:"长街镇",
            	46438:"黄坛镇",
            	46446:"茶院乡",
            	46435:"大佳何镇",
            	46447:"胡陈乡",
            	46436:"岔路镇",
            	46444:"西店镇",
            	46445:"一市镇",
            	46442:"桑洲镇",
            	46443:"深甽镇",
            	46439:"力洋镇",
            	46440:"前童镇",
            	46430:"城区",
            	46441:"强蛟镇"

            	},
            	330281:{
            	46404:"牟山镇",
            	46405:"丈亭镇",
            	46402:"梁弄镇",
            	46403:"临山镇",
            	46400:"大岚镇",
            	46401:"大隐镇",
            	46398:"四明山镇",
            	46399:"小曹娥镇",
            	46408:"泗门镇",
            	46409:"鹿亭乡",
            	46406:"陆埠镇",
            	46407:"马渚镇",
            	52176:"城区",
            	46396:"黄家埠镇",
            	46397:"三七市镇",
            	46395:"河姆渡镇"

            	},
            	330282:{
            	46479:"长河镇",
            	46477:"横河镇",
            	46488:"慈东工业区",
            	46478:"庵东镇",
            	46489:"杭州湾新区",
            	46475:"胜山镇",
            	46486:"掌起镇",
            	46487:"周巷镇",
            	46476:"逍林镇",
            	46473:"观海卫镇",
            	46484:"天元镇",
            	46474:"龙山镇",
            	46485:"新浦镇",
            	46482:"匡堰镇",
            	46483:"桥头镇",
            	51589:"城区",
            	46480:"崇寿镇",
            	46481:"附海镇"

            	},
            	330283:{
            	46415:"莼湖镇",
            	46416:"大堰镇",
            	52173:"城区",
            	46420:"溪口镇",
            	46421:"方桥镇",
            	46419:"松岙镇",
            	46417:"裘村镇",
            	46418:"尚田镇"

            	},
            	330302:{
            	52188:"城区",
            	42381:"藤桥镇"

            	},
            	330304:{
            	42394:"泽雅镇",
            	52189:"城区"

            	},
            	330322:{
            	42343:"元觉乡",
            	42344:"大门镇",
            	42345:"鹿西乡",
            	42342:"霓屿乡",
            	42339:"城区"

            	},
            	330324:{
            	42475:"岩坦镇",
            	42476:"岩头镇",
            	42477:"大若岩镇",
            	42471:"桥头镇",
            	42472:"桥下镇",
            	51597:"城区",
            	42473:"沙头镇",
            	42474:"巽宅镇",
            	42470:"鹤盛镇",
            	42468:"碧莲镇",
            	42469:"枫林镇"

            	},
            	330326:{
            	42398:"麻步镇",
            	42399:"南雁镇",
            	42400:"山门镇",
            	42401:"水头镇",
            	42395:"城区",
            	42396:"鳌江镇",
            	42397:"昆阳镇",
            	42406:"青街乡",
            	42402:"顺溪镇",
            	42403:"腾蛟镇",
            	42404:"万全镇",
            	42405:"萧江镇"

            	},
            	330327:{
            	42332:"马站镇",
            	42333:"钱库镇",
            	42334:"桥墩镇",
            	42335:"宜山镇",
            	42330:"灵溪镇",
            	42331:"龙港镇",
            	42329:"矾山镇",
            	42336:"藻溪镇",
            	42337:"岱岭乡",
            	42326:"城区",
            	42327:"金乡镇",
            	42338:"凤阳乡",
            	42328:"赤溪镇"

            	},
            	330328:{
            	42453:"珊溪镇",
            	42454:"西坑镇",
            	42455:"峃口镇",
            	42456:"玉壶镇",
            	42450:"黄坦镇",
            	42451:"巨屿镇",
            	42452:"南田镇",
            	42457:"百丈漈镇",
            	42458:"周山乡",
            	42448:"城区",
            	42449:"大峃镇"

            	},
            	330329:{
            	42442:"仕阳镇",
            	42443:"司前镇",
            	42444:"泗溪镇",
            	42445:"筱村镇",
            	42440:"彭溪镇",
            	42441:"三魁镇",
            	42439:"罗阳镇",
            	42446:"雅阳镇",
            	42447:"竹里乡",
            	42437:"城区",
            	42438:"百丈镇"

            	},
            	330381:{
            	42420:"高楼镇",
            	42431:"林溪乡",
            	42421:"湖岭镇",
            	42432:"鹿木乡",
            	42433:"梅屿乡",
            	42422:"林垟镇",
            	42434:"桐浦乡",
            	42423:"龙湖镇",
            	42430:"平阳坑镇",
            	42428:"罗凤镇",
            	42418:"碧山镇",
            	42429:"塘下镇",
            	42419:"曹村镇",
            	42435:"永安乡",
            	42424:"马屿镇",
            	42436:"云周乡",
            	42425:"陶山镇",
            	42426:"场桥镇",
            	42427:"海安镇",
            	51596:"城区"

            	},
            	330382:{
            	42354:"大荆镇",
            	52187:"城区",
            	42355:"芙蓉镇",
            	42356:"清江镇",
            	42357:"仙溪镇",
            	42361:"淡溪镇",
            	42362:"北白象镇",
            	42360:"柳市镇",
            	42358:"雁荡镇",
            	42359:"虹桥镇"

            	},
            	330402:{
            	42730:"大桥镇",
            	42731:"凤桥镇",
            	51600:"城区",
            	42732:"七星镇",
            	42733:"新丰镇",
            	42734:"余新镇"

            	},
            	330411:{
            	42761:"油车港镇",
            	42762:"洪合镇",
            	42763:"王店镇",
            	42764:"新塍镇",
            	42760:"王江泾镇",
            	51601:"城区"

            	},
            	330421:{
            	42720:"西塘镇",
            	42718:"陶庄镇",
            	42719:"天凝镇",
            	42716:"大云镇",
            	42717:"干窑镇",
            	42721:"姚庄镇",
            	51604:"城区"

            	},
            	330424:{
            	42707:"百步镇",
            	42708:"澉浦镇",
            	42709:"沈荡镇",
            	51599:"城区",
            	42710:"通元镇",
            	42711:"于城镇"

            	},
            	330481:{
            	42695:"丁桥镇",
            	42696:"黄湾镇",
            	42697:"斜桥镇",
            	42698:"许村镇",
            	42693:"周王庙镇",
            	42694:"长安镇",
            	51598:"城区",
            	42699:"盐官镇",
            	42700:"袁花镇",
            	42701:"尖山新区"

            	},
            	330482:{
            	42740:"林埭镇",
            	42741:"新仓镇",
            	42742:"新埭镇",
            	42738:"独山港镇",
            	42739:"广陈镇",
            	51603:"城区",
            	42743:"乍浦镇"

            	},
            	330483:{
            	42750:"河山镇",
            	42751:"濮院镇",
            	42752:"石门镇",
            	42753:"屠甸镇",
            	42747:"崇福镇",
            	42748:"大麻镇",
            	42749:"高桥镇",
            	42754:"乌镇镇",
            	51602:"城区",
            	42755:"洲泉镇"

            	},
            	330502:{
            	44588:"织里镇",
            	44587:"妙西镇",
            	44589:"道场乡",
            	44584:"杨家埠镇",
            	44583:"八里店镇",
            	44586:"东林镇",
            	44585:"埭溪镇",
            	44590:"环渚乡",
            	51605:"城区"

            	},
            	330503:{
            	44566:"旧馆镇",
            	44565:"和孚镇",
            	44568:"菱湖镇",
            	44567:"练市镇",
            	44573:"双林镇",
            	44572:"石淙镇",
            	44571:"善琏镇",
            	44570:"千金镇",
            	44569:"南浔镇"

            	},
            	330521:{
            	44555:"雷甸镇",
            	44554:"莫干山镇",
            	44557:"乾元镇",
            	44556:"洛舍镇",
            	44562:"钟管镇",
            	44561:"禹越镇",
            	44553:"城区",
            	44564:"三合乡",
            	44563:"筏头乡",
            	44560:"新市镇",
            	44559:"新安镇",
            	44558:"武康镇"

            	},
            	330522:{
            	44544:"泗安镇",
            	44543:"煤山镇",
            	44546:"雉城镇",
            	44545:"小浦镇",
            	44551:"水口乡",
            	44540:"洪桥镇",
            	44550:"吕山乡",
            	44542:"林城镇",
            	44541:"夹浦镇",
            	44552:"吴山乡",
            	44537:"虹星桥镇",
            	44548:"白岘乡",
            	44536:"城区",
            	44547:"二界岭乡",
            	44539:"和平镇",
            	44549:"槐坎乡",
            	44538:"李家巷镇"

            	},
            	330523:{
            	44533:"山川乡",
            	44522:"报福镇",
            	44521:"天荒坪镇",
            	44532:"昆铜乡",
            	44535:"溪龙乡",
            	44524:"高禹镇",
            	44534:"上墅乡",
            	44523:"递铺镇",
            	44520:"县城内",
            	44531:"皈山乡",
            	44530:"鄣吴镇",
            	44529:"章村镇",
            	44526:"良朋镇",
            	44525:"杭垓镇",
            	44528:"孝丰镇",
            	44527:"梅溪镇"

            	},
            	330602:{
            	44698:"斗门镇",
            	44697:"鉴湖镇",
            	44700:"马山镇",
            	44699:"东浦镇",
            	51174:"孙端镇",
            	44696:"东湖镇",
            	44695:"皋埠镇",
            	44629:"陶堰镇",
            	44702:"袍江工业区",
            	44701:"灵芝镇",
            	51613:"城区",
            	44624:"富盛镇"

            	},
            	3306083:{
            	44643:"三界镇",
            	44642:"石璜镇",
            	44653:"嵊州经济开发区",
            	44645:"长乐镇",
            	44644:"谷来镇",
            	44650:"仙岩镇",
            	44652:"北漳镇",
            	44641:"王院乡",
            	44651:"黄泽镇",
            	44640:"通源乡",
            	44639:"竹溪乡",
            	44636:"雅璜乡",
            	44647:"崇仁镇",
            	44646:"甘霖镇",
            	44638:"里南乡",
            	44649:"下王镇",
            	44637:"贵门乡",
            	44648:"金庭镇",
            	51610:"城区"

            	},
            	330621:{
            	44621:"杨汛桥镇",
            	44620:"夏履镇",
            	44623:"福全镇",
            	44622:"钱清镇",
            	44630:"漓渚镇",
            	44618:"稽东镇",
            	44617:"安昌镇",
            	44628:"齐贤镇",
            	44625:"平水镇",
            	44627:"兰亭镇",
            	44616:"马鞍镇",
            	44626:"王坛镇",
            	51612:"城区"

            	},
            	330624:{
            	44676:"小将镇",
            	44665:"东茗乡",
            	44687:"梅渚镇",
            	44686:"沙溪镇",
            	44664:"双彩乡",
            	44675:"大市聚镇",
            	44678:"镜岭镇",
            	44666:"新林乡",
            	44672:"巧英乡",
            	44673:"儒岙镇",
            	44684:"回山镇",
            	44670:"城南乡",
            	44681:"澄潭镇",
            	51611:"城区"

            	},
            	330681:{
            	44720:"同山镇",
            	44722:"草塔镇",
            	44721:"阮市镇",
            	44728:"江藻镇",
            	44706:"东和乡",
            	44727:"五泄镇",
            	44708:"直埠镇",
            	44729:"陈宅镇",
            	44707:"岭北镇",
            	44724:"街亭镇",
            	44723:"大唐镇",
            	44726:"次坞镇",
            	44725:"牌头镇",
            	51606:"城区",
            	44711:"安华镇",
            	44710:"山下湖镇",
            	44717:"浬浦镇",
            	44716:"店口镇",
            	44719:"璜山镇",
            	44718:"枫桥镇",
            	44713:"马剑镇",
            	44712:"赵家镇",
            	44715:"王家井镇",
            	44714:"应店街镇",
            	44709:"东白湖镇"

            	},
            	330682:{
            	44610:"小越镇",
            	44599:"沥海镇",
            	44598:"下管镇",
            	44601:"梁湖镇",
            	44600:"永和镇",
            	44611:"章镇镇",
            	51608:"城区",
            	44595:"陈溪乡",
            	44594:"岭南乡",
            	44597:"盖北镇",
            	44596:"丁宅乡",
            	44607:"驿亭镇",
            	44606:"谢塘镇",
            	44609:"道墟镇",
            	44608:"崧厦镇",
            	44603:"上浦镇",
            	44602:"丰惠镇",
            	44605:"长塘镇",
            	44604:"汤浦镇"

            	},
            	330702:{
            	8288:"汤溪镇",
            	8300:"莘畈乡",
            	8289:"雅畈镇",
            	8297:"罗店镇",
            	8287:"苏孟乡",
            	8303:"罗埠镇",
            	8301:"乾西乡",
            	8302:"塔石乡",
            	8280:"安地镇",
            	8291:"白龙桥镇",
            	8281:"琅琊镇",
            	8290:"洋埠镇",
            	8295:"长山乡",
            	8296:"蒋堂镇",
            	8285:"沙畈乡",
            	8282:"竹马乡",
            	8293:"箬阳乡",
            	52185:"城区",
            	8305:"岭上乡"

            	},
            	330703:{
            	8310:"傅村镇",
            	8311:"岭下镇",
            	8314:"塘雅镇",
            	8315:"江东镇",
            	8312:"源东乡",
            	8307:"孝顺镇",
            	8308:"赤松镇",
            	8316:"澧浦镇",
            	51614:"城区",
            	8309:"曹宅镇"

            	},
            	330723:{
            	8332:"茭道镇",
            	8333:"俞源乡",
            	8330:"泉溪镇",
            	8320:"履坦镇",
            	8331:"西联乡",
            	8325:"坦洪乡",
            	8326:"大田乡",
            	8323:"新宅镇",
            	39566:"城区",
            	8334:"柳城畲族镇",
            	8324:"大溪口乡",
            	8335:"白姆乡",
            	8318:"三港乡",
            	8329:"王宅镇",
            	8319:"桃溪镇",
            	8327:"桐琴镇"

            	},
            	330726:{
            	8343:"白马镇",
            	51617:"城区",
            	8344:"郑宅镇",
            	8341:"岩头镇",
            	8352:"潘宅镇",
            	8342:"治平乡",
            	8337:"花桥乡",
            	8348:"杭坪镇",
            	8345:"大畈乡",
            	8346:"虞宅乡",
            	8350:"黄宅镇",
            	8340:"郑家坞镇",
            	8351:"檀溪镇",
            	8349:"前吴乡",
            	8339:"中余乡"

            	},
            	330727:{
            	8354:"玉山镇",
            	8365:"深泽乡",
            	8355:"方前镇",
            	8366:"九和乡",
            	8363:"高二乡",
            	8353:"胡宅乡",
            	8364:"安文镇",
            	8358:"仁川镇",
            	8369:"尖山镇",
            	8359:"万苍乡",
            	8356:"双溪乡",
            	8367:"维新乡",
            	8357:"窈川乡",
            	8368:"新渥镇",
            	8361:"双峰乡",
            	8362:"大盘镇",
            	8370:"冷水镇",
            	8360:"尚湖镇",
            	8371:"盘峰乡",
            	39568:"城区"

            	},
            	330781:{
            	8266:"水亭畲族乡",
            	8278:"游埠镇",
            	8275:"柏社乡",
            	52184:"城区",
            	8276:"梅江镇",
            	8265:"马涧镇",
            	8268:"灵洞乡",
            	8269:"黄店镇",
            	8270:"横溪镇",
            	8271:"诸葛镇",
            	8272:"香溪镇"

            	},
            	330782:{
            	52186:"城区",
            	8376:"上溪镇",
            	8377:"苏溪镇",
            	8379:"佛堂镇",
            	8383:"赤岸镇",
            	8381:"义亭镇",
            	8382:"大陈镇"

            	},
            	330783:{
            	8398:"南马镇",
            	8399:"千祥镇",
            	8385:"湖溪镇",
            	8396:"画水镇",
            	8386:"三单乡",
            	8397:"佐村镇",
            	8402:"巍山镇",
            	8390:"东阳江镇",
            	8391:"横店镇",
            	8394:"马宅镇",
            	8395:"歌山镇",
            	8393:"虎鹿镇",
            	51615:"城区"

            	},
            	330784:{
            	8410:"方岩镇",
            	8413:"古山镇",
            	8403:"花街镇",
            	8414:"西溪镇",
            	8412:"桥下镇",
            	8406:"前仓镇",
            	8417:"石柱镇",
            	8407:"龙山镇",
            	8418:"唐先镇",
            	8404:"芝英镇",
            	8415:"八字墙乡",
            	8416:"清溪镇",
            	51616:"城区",
            	8419:"象珠镇",
            	8409:"舟山镇"

            	},
            	330802:{
            	51618:"城区",
            	22250:"万田乡",
            	22251:"石室乡",
            	22252:"黄家乡",
            	22253:"九华乡",
            	22244:"航埠镇",
            	22245:"石梁镇",
            	22246:"姜家山乡",
            	22247:"沟溪乡",
            	22248:"七里乡",
            	22249:"华墅乡"

            	},
            	330803:{
            	22275:"湖南镇",
            	22286:"灰坪乡",
            	22276:"杜泽镇",
            	22287:"周家乡",
            	22277:"高家镇",
            	22288:"举村乡",
            	22278:"莲花镇",
            	22279:"上方镇",
            	22280:"峡川镇",
            	22281:"黄坛口乡",
            	22282:"太真乡",
            	22271:"廿里镇",
            	52179:"城区",
            	22272:"大洲镇",
            	22283:"岭洋乡",
            	22273:"后溪镇",
            	22284:"云溪乡",
            	22274:"全旺镇",
            	22285:"双桥乡"

            	},
            	330822:{
            	39576:"城区",
            	22187:"天马镇",
            	22188:"芳村镇",
            	22189:"球川镇",
            	22190:"辉埠镇",
            	22191:"大桥头乡",
            	22192:"新桥乡",
            	22193:"何家乡",
            	22194:"同弓乡",
            	22195:"宋畈乡",
            	22184:"招贤镇",
            	22185:"青石镇",
            	22196:"新昌乡",
            	22186:"白石镇",
            	22197:"东案乡"

            	},
            	330824:{
            	22228:"大溪边乡",
            	22229:"塘坞乡",
            	22219:"苏庄镇",
            	39577:"城区",
            	22231:"何田乡",
            	22220:"齐溪镇",
            	22221:"村头镇",
            	22232:"林山乡",
            	22233:"音坑乡",
            	22222:"杨林镇",
            	22234:"长虹乡",
            	22223:"马金镇",
            	22235:"中村乡",
            	22224:"池淮镇",
            	22236:"金村乡",
            	22225:"城关镇",
            	22226:"桐村镇",
            	22227:"华埠镇",
            	22230:"张湾乡"

            	},
            	330825:{
            	22264:"大街乡",
            	22265:"罗家乡",
            	22266:"模环乡",
            	22267:"石佛乡",
            	22256:"小南海镇",
            	22257:"湖镇镇",
            	22268:"沐尘乡",
            	22258:"塔石镇",
            	22259:"横山镇",
            	22260:"溪口镇",
            	22261:"詹家镇",
            	22262:"社阳乡",
            	22263:"庙下乡",
            	39578:"城区"

            	},
            	330881:{
            	22206:"大桥镇",
            	22217:"大陈乡",
            	22218:"保安乡",
            	22207:"石门镇",
            	22208:"凤林镇",
            	22209:"峡口镇",
            	22210:"清湖镇",
            	22211:"四都镇",
            	22200:"廿八都镇",
            	22212:"贺村镇",
            	22201:"新塘边镇",
            	22202:"上余镇",
            	22213:"塘源口乡",
            	22214:"双溪口乡",
            	22203:"淤头镇",
            	22204:"长台镇",
            	22215:"碗窑乡",
            	22205:"坛石镇",
            	22216:"张村乡",
            	52178:"城区"

            	},
            	330902:{
            	42620:"小沙镇",
            	42621:"北蝉乡",
            	42619:"双桥镇",
            	42615:"岑港镇",
            	52190:"城区",
            	42616:"干览镇",
            	42617:"金塘镇",
            	42618:"马岙镇",
            	42622:"册子乡",
            	42623:"长白乡",
            	42614:"白泉镇"

            	},
            	330903:{
            	42651:"登步乡",
            	42650:"白沙乡",
            	42648:"虾峙镇",
            	42649:"蚂蚁岛乡",
            	51623:"城区",
            	42644:"普陀山镇",
            	42645:"东极镇",
            	42646:"六横镇",
            	42647:"桃花镇"

            	},
            	330921:{
            	42596:"秀山乡",
            	42592:"岱西镇",
            	42593:"东沙镇",
            	42594:"高亭镇",
            	42595:"衢山镇",
            	42590:"长涂镇",
            	42591:"岱东镇",
            	42589:"城区"

            	},
            	330922:{
            	42654:"城区",
            	42660:"黄龙乡",
            	42661:"五龙乡",
            	42659:"花鸟乡",
            	42655:"菜园镇",
            	42656:"嵊山镇",
            	42657:"洋山镇",
            	42658:"枸杞乡"

            	},
            	331002:{
            	22078:"大陈镇",
            	52180:"城区"

            	},
            	331003:{
            	22060:"北洋镇",
            	22061:"宁溪镇",
            	22062:"头陀镇",
            	22063:"沙埠镇",
            	22064:"上郑乡",
            	22065:"上垟乡",
            	22066:"屿头乡",
            	22067:"平田乡",
            	22068:"茅畲乡",
            	51622:"城区",
            	22069:"富山乡",
            	22059:"院桥镇"

            	},
            	331004:{
            	22107:"新桥镇",
            	52182:"城区",
            	22104:"金清镇",
            	22105:"蓬街镇",
            	22106:"横街镇"

            	},
            	331021:{
            	22180:"清港镇",
            	22181:"龙溪乡",
            	22182:"鸡山乡",
            	22183:"海山乡",
            	39587:"城区",
            	22176:"芦浦镇",
            	22177:"沙门镇",
            	22178:"楚门镇",
            	22179:"干江镇"

            	},
            	331022:{
            	39582:"城区",
            	22118:"蛇蟠乡",
            	22108:"海游镇",
            	22119:"泗淋乡",
            	22109:"小雄镇",
            	22110:"健跳镇",
            	22121:"沿赤乡",
            	22111:"花桥镇",
            	22112:"浬浦镇",
            	22113:"亭旁镇",
            	22114:"沙柳镇",
            	22115:"横渡镇",
            	22116:"珠岙镇",
            	22117:"六敖镇",
            	22120:"高枧乡"

            	},
            	331023:{
            	22129:"白鹤镇",
            	39584:"城区",
            	22132:"三州乡",
            	22133:"泳溪乡",
            	22134:"龙溪乡",
            	22135:"南屏乡",
            	22136:"雷峰乡",
            	22125:"坦头镇",
            	22126:"街头镇",
            	22127:"平桥镇",
            	22128:"石梁镇",
            	22130:"三合镇",
            	22131:"洪畴镇"

            	},
            	331024:{
            	39586:"城区",
            	22165:"大战乡",
            	22166:"皤滩乡",
            	22167:"湫山乡",
            	22156:"朱溪镇",
            	22157:"横溪镇",
            	22168:"双庙乡",
            	22158:"埠头镇",
            	22169:"步路乡",
            	22159:"白塔镇",
            	22170:"安岭乡",
            	22160:"田市镇",
            	22171:"溪港乡",
            	22161:"官路镇",
            	22172:"广度乡",
            	22162:"下各镇",
            	22163:"淡竹乡",
            	22164:"上张乡"

            	},
            	331081:{
            	22150:"泽国镇",
            	22151:"石塘镇",
            	22152:"坞根镇",
            	22142:"石桥头镇",
            	22143:"大溪镇",
            	22144:"城南镇",
            	22145:"松门镇",
            	22146:"温峤镇",
            	22147:"箬横镇",
            	52183:"城区",
            	22148:"新河镇",
            	22149:"滨海镇"

            	},
            	331082:{
            	22088:"汇溪镇",
            	22089:"河头镇",
            	52181:"城区",
            	22091:"汛桥镇",
            	22092:"杜桥镇",
            	22093:"上盘镇",
            	22094:"沿江镇",
            	22095:"永丰镇",
            	22084:"白水洋镇",
            	22096:"东塍镇",
            	22085:"桃渚镇",
            	22086:"小芝镇",
            	22097:"括苍镇",
            	22087:"尤溪镇",
            	22090:"涌泉镇"

            	},
            	331102:{
            	22338:"丽新乡",
            	22339:"高溪乡",
            	22341:"双黄乡",
            	22342:"仙渡乡",
            	22343:"黄村乡",
            	22332:"大港头镇",
            	22333:"碧湖镇",
            	22334:"联城镇",
            	22335:"老竹镇",
            	22336:"雅溪镇",
            	22337:"峰源乡",
            	22340:"太平乡",
            	51621:"城区"

            	},
            	331121:{
            	39574:"城区",
            	22374:"季宅乡",
            	22375:"汤垟乡",
            	22376:"黄垟乡",
            	22377:"石溪乡",
            	22378:"海溪乡",
            	22379:"祯旺乡",
            	22390:"章旦乡",
            	22391:"章村乡",
            	22370:"海口镇",
            	22392:"祯埠乡",
            	22371:"高湖镇",
            	22393:"贵岙乡",
            	22372:"鹤城镇",
            	22373:"小舟山乡",
            	22385:"巨浦乡",
            	22363:"仁庄镇",
            	22364:"东源镇",
            	22386:"吴坑乡",
            	22365:"温溪镇",
            	22387:"仁宫乡",
            	22388:"岭根乡",
            	22366:"北山镇",
            	22367:"船寮镇",
            	22389:"万阜乡",
            	22368:"山口镇",
            	22369:"腊口镇",
            	22380:"高市乡",
            	22381:"万山乡",
            	22382:"阜山乡",
            	22383:"方山乡",
            	22384:"舒桥乡"

            	},
            	331122:{
            	22297:"双溪口乡",
            	22298:"胡源乡",
            	22299:"三溪乡",
            	22300:"方溪乡",
            	22289:"壶镇镇",
            	22301:"前路乡",
            	22302:"七里乡",
            	22303:"溶江乡",
            	22304:"石笕乡",
            	22290:"五云镇",
            	22291:"大源镇",
            	22292:"大洋镇",
            	22293:"新建镇",
            	22294:"舒洪镇",
            	22295:"东方镇",
            	22296:"东渡镇",
            	39569:"城区"

            	},
            	331123:{
            	22448:"三仁乡",
            	22437:"大柘镇",
            	22438:"石练镇",
            	39570:"城区",
            	22449:"高坪乡",
            	22439:"北界镇",
            	22451:"西畈乡",
            	22440:"妙高镇",
            	22441:"云峰镇",
            	22452:"应村乡",
            	22442:"柘岱口乡",
            	22443:"濂竹乡",
            	22433:"黄沙腰镇",
            	22444:"蔡源乡",
            	22445:"龙洋乡",
            	22434:"新路湾镇",
            	22446:"焦滩乡",
            	22435:"王村口镇",
            	22447:"湖山乡",
            	22436:"金竹镇",
            	22450:"垵口乡"

            	},
            	331124:{
            	22426:"枫坪乡",
            	39571:"城区",
            	22415:"象溪镇",
            	22427:"安民乡",
            	22416:"古市镇",
            	22428:"四都乡",
            	22417:"西屏镇",
            	22418:"竹源乡",
            	22429:"三都乡",
            	22419:"新兴乡",
            	22430:"叶村乡",
            	22431:"谢村乡",
            	22420:"樟溪乡",
            	22421:"裕溪乡",
            	22432:"新处乡",
            	22422:"斋坛乡",
            	22423:"望松乡",
            	22424:"赤寿乡",
            	22413:"大东坝镇",
            	22414:"玉岩镇",
            	22425:"板桥乡"

            	},
            	331125:{
            	22459:"石塘镇",
            	22460:"雾溪乡",
            	22461:"安溪乡",
            	22462:"赤石乡",
            	51620:"城区",
            	22457:"紧水滩镇",
            	22458:"崇头镇"

            	},
            	331126:{
            	22404:"官塘乡",
            	22405:"举水乡",
            	22406:"淤上乡",
            	22407:"四山乡",
            	39575:"城区",
            	22408:"安南乡",
            	22409:"合湖乡",
            	22396:"黄田镇",
            	22397:"贤良镇",
            	22398:"竹口镇",
            	22399:"荷地镇",
            	22410:"隆宫乡",
            	22400:"百山祖乡",
            	22411:"江根乡",
            	22412:"张村乡",
            	22401:"五大堡乡",
            	22402:"龙溪乡",
            	22403:"岭头乡",
            	22394:"松源镇",
            	22395:"左溪镇"

            	},
            	331127:{
            	22305:"鹤溪镇",
            	22316:"梅岐乡",
            	22317:"景南乡",
            	22306:"沙湾镇",
            	22318:"秋炉乡",
            	22307:"东坑镇",
            	22308:"渤海镇",
            	39572:"城区",
            	22319:"九龙乡",
            	22309:"英川镇",
            	22320:"郑坑乡",
            	22310:"澄照乡",
            	22321:"大均乡",
            	22322:"大漈乡",
            	22311:"毛垟乡",
            	22312:"雁溪乡",
            	22323:"家地乡",
            	22324:"大地乡",
            	22313:"标溪乡",
            	22314:"梧桐乡",
            	22325:"鸬鹚乡",
            	22315:"葛山乡"

            	},
            	331181:{
            	22349:"查田镇",
            	51619:"城区",
            	22352:"小梅镇",
            	22353:"住龙镇",
            	22354:"八都镇",
            	22355:"岩樟乡",
            	22356:"竹垟乡",
            	22357:"宝溪乡",
            	22358:"道太乡",
            	22347:"上垟镇",
            	22348:"锦溪镇",
            	22359:"跶石乡",
            	22360:"龙南乡",
            	22350:"安仁镇",
            	22361:"兰巨乡",
            	22351:"屏南镇",
            	22362:"城北乡"

            	}
        };
    	if(cityConfig!=""){
		  var carray=ChineseDistricts[330000];
		  carray[cityConfig]=getCity(cityConfig);
		}else{
			ChineseDistricts[330000]=getCity(cityConfig);
		}
    if (typeof window !== 'undefined') {
        window.ChineseDistricts = ChineseDistricts;
    }

    return ChineseDistricts;

});

function getCity(code){
	  var city={
		  331000:"台州市",
		  330800:"衢州市",
		  330900:"舟山市",
		  330400:"嘉兴市",
		  330500:"湖州市",
		  330600:"绍兴市",
		  330700:"金华市",
		  331100:"丽水市",
		  330100:"杭州市",
		  330200:"宁波市",
		  330300:"温州市"
	  }
	  if(code!=""){
		  return city[code];
	  }else{
		return city;
	  }
	}