mui.init({
				swipeBack: false,
			});
			(function($) {
				$('.mui-scroll-wrapper').scroll({
					indicators: true //是否显示滚动条
				});
				historyPrebook();
				currentPrebook();
			})(mui);
			mui("body").on("tap",".cancel-yuyue",function(){
				var btnArray = ['否', '是'];
				var bookrecno= $(this).attr("bookrecno");
				mui.confirm('确认取消预约此书？', '取消预约书籍', btnArray, function(e) {
					if (e.index == 1) {
						cancelReservation(bookrecno);
					} else {
						return false;
					}
				})
			});
			function cancelReservation(bookrecno){
				var url = opacUrl+"webservice/reservationWebservice/addReservation";
				var reader =$(String2XML(store.get("user")));
				var rdid = reader.find("rdid").text().trim();
				var password = md5(reader.find("rdPasswd").text().trim());
				var data = "<soapenv:Envelope xmlns:soapenv='http://schemas.xmlsoap.org/soap/envelope/' xmlns:web='http://webservice.opac.interlib.com/'><soapenv:Header/><soapenv:Body><web:cancelReservation><rdid>"+rdid+"</rdid><password>"+password+"</password><bookrecno>"+bookrecno+"</bookrecno></web:cancelReservation></soapenv:Body></soapenv:Envelope>";
				$.ajax({url:url,
					data:data,
					type:'post',
					timeout:5000,
					success:function(result){
						var result = xmlToJson(result)["soap:Envelope"]["soap:Body"]["ns2:cancelReservationResponse"]["return"]["#text"];
						if(result=="true"){
							mui.toast("取消成功");
							currentPrebook();
						}else{
							mui.toast("取消失败");
						}
					}
				});
			}
			function currentPrebook(){
				var url = opacUrl+"webservice/reservationWebservice/getCurrentReservationList";
				var data = getRdidPasswordStr();
				data = data+"&doPage=true&pageSize=10&toPage=1";
				$.ajax({url:url,data:data,success:function(result){
					loadXml($("#currentPreBook"),"return",$(result),null,"item1mobile");
					$("value[key='finalTime']").each(function(){
						var time = $(this).parent().prev().html();
						$(this).html(time.substring(0,10));
					});
				}});
			}
			
			function historyPrebook(){
				var url = opacUrl+"webservice/reservationWebservice/getHistoryReservationList";
				var data = getRdidPasswordStr();
				data = data+"&doPage=true&pageSize=10&toPage=1";
				$.ajax({url:url,data:data,success:function(result){
					loadXml($("#historyPreBook"),"return",$(result),null,"item2mobile");
					$("value[key='resDate']").each(function(){
						var time = $(this).html();
						$(this).html(time.substring(0,10));
					});
				}});
			}
			
			function getRdidPasswordStr(){
				var reader =$(String2XML(store.get("user")));
				var rdid = reader.find("rdid").text().trim();
				var password = $.md5(reader.find("rdPasswd").text().trim());
				return "rdid="+rdid+"&password="+password;
			}
			
			function loadXml($parent,item,$xml,keyAttrName,loadid){
				$parent.find(".temp").remove();
				var $template = $parent.find(".template");
				var $newTemplate = $template.clone(true);
				$newTemplate.removeClass("template").addClass("temp");
				$xml.find(item).each(function(index){
					var $element = $newTemplate.clone(true);
					var $itemXml = $(this);
					$element.find("value[key]").each(function(){
						var key = $(this).attr("key");
						var value = null;
						if(keyAttrName == null){
							 value = $itemXml.find(key).text().trim();
						}else{
							value = $itemXml.find("["+keyAttrName+"="+key+"]").text().trim();
						}
						$(this).html(value);
					});
					$element.find("button[key]").each(function(){
						var key = $(this).attr("key");
						var value = null;
						if(keyAttrName == null){
							 value = $itemXml.find(key).text().trim();
						}else{
							value = $itemXml.find("["+keyAttrName+"="+key+"]").text().trim();
						}
						$(this).attr("bookrecno",value);
					});
					$parent.append($element);
				});
				if(loadid=="item1mobile"){
					if($("#item1mobile li").size()==1){
						$("#load_none_1").show();
					}
				}else if(loadid=="item2mobile"){
					if($("#item2mobile li").size()==1){
						$("#load_none_2").show();
					}
				}
//				$parent.append("<li class='temp noMore'>没有更多信息</li>");
			}